#!/bin/bash

#set -e
set -vx

echo -e "*****************************\n* Build docs \n*****************************\n"
. ${HOME}/devenv.bash
cd ${HOME}/dev/cise_devel/docs || exit 1
doxygen ./o2.cfg || exit 1

# Generate PDF file
cd ${HOME}/dev/cise_devel/docs/AtsCiseDocs/latex
make && mv refman.pdf ${HOME}/docs/etsi_cise_help.pdf || exit 1

cd ${HOME}

exit 0
